Bug 15060 - Labels on non-Linux partitions cause confusion
Labels on non-Linux partitions cause confusion
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-01 16:37 EDT by Jos Vos
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-09 16:18:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jos Vos 2000-08-01 16:37:50 EDT
Although the installer seems to recognize existing labels on Linux
partitions, it seems that it does not look at labels of non-Linux
partitions.  So, having a Windows partition with label / causes strange
situations (df and mount give wrong information) and having such a
partition with another label may cause even more problems, I guess (the
latter is untested).

Note that this bug report is written with too little knowledge about the
exact behaviour of the installer and mount c.s. w.r.t. labels, so some
things might be a bit different.
Comment 1 Michael Fulbright 2000-08-01 18:18:28 EDT
How do you create a Windows partition with a label on it?  My understanding is
that labels are tied to the
ext2 filesystem, so if a partition is formated for Windows I don't think it can
have a label.
Comment 2 Jos Vos 2000-08-02 02:48:11 EDT
It originally was an ext2 partition with a Linux install, but before
installation I changed the partition type to 0x0b for some tests I was doing
with the installer to prove another bug.  See also my e-mails about labels to
the testers-list on August 1, 2000.

Of course this is a very rare situation, but it can happen, for example when
someone renames it partition to a Windows partition for a later Windows install,
and the result is quite dramatically, I think, and someone need a detailed level
of knowledge to understand what's going on.
Comment 3 Michael Fulbright 2000-08-04 16:19:41 EDT
Thanks for the feedback - I'll have to think about what bad things this could
cause to happen...
Comment 4 Michael Fulbright 2000-10-09 16:17:56 EDT
We depend upon the partition type to be an accurate representation of what type
of filesystem is on that partition.

Note You need to log in before you can comment on or make changes to this bug.